//
// TiglUsb_Test.cpp : Defines the entry point for the console application.
//
// (this file is the same for both drivers (98DDK & XPDDK))

#include "stdafx.h"

#include <stdio.h>

#include "TiglUsb.h"


int main(int argc, char* argv[])
{
	UCHAR data;
	int i;
	int ret = 0;
	int status = 0;

	ret = TiglUsbOpen();
	if(ret)	printf("Error code = %i\n", ret);

	TiglUsbSetTimeout(15);

	ret = TiglUsbFlush();
	if(ret)	printf("Error code = %i\n", ret);

	// poll for data
	/*
	for(i=0; i<8; i++)
	{
		do {
			ret = TiglUsbCheck(&status);
		} while(status == 0);
		status = 0;
		//printf("Data available !\n");
		ret = TiglUsbRead(&data);
		printf("%02X\n", data);
		if(ret) {
			if(ret)	printf("Error code = %i\n", ret);
			goto end;
		}
	}
	goto end;
	*/

	// send an 'Is ready ?' packet
	ret = TiglUsbWrite(0x00);
	if(ret)	printf("Error code = %i\n", ret);
	if(ret) goto end;

	ret = TiglUsbWrite(0x68);
	if(ret)	printf("Error code = %i\n", ret);
	if(ret) goto end;

	ret = TiglUsbWrite(0x00);
	if(ret)	printf("Error code = %i\n", ret);
	if(ret) goto end;

	ret = TiglUsbWrite(0x00);
	if(ret)	printf("Error code = %i\n", ret);
	if(ret) goto end;

	// receive answer
	for(i=0; i<4; i++)
	{
		ret = TiglUsbRead(&data);
		printf("%02X ", data);
		if(ret) {
			if(ret)	printf("Error code = %i\n", ret);
			goto end;
		}
	}
	printf("\n");

end:

	ret = TiglUsbClose();
	if(ret)	printf("Error code = %i\n", ret);

	return 0;
}
