var ToolBar_Supported = ToolBar_Supported ;
if (ToolBar_Supported != null && ToolBar_Supported == true)
{
	//To Turn on/off Frame support, set Frame_Supported = true/false.
	Frame_Supported = false;

	// Customize default ICP menu color - bgColor, fontColor, mouseoverColor
	setDefaultICPMenuColor("6699CC", "white", "B22222");

	// Customize toolbar background color
	setToolbarBGColor("white");

	// display ICP Banner
	setICPBanner("/hwdev/scripts/images/dwoslogo.gif","/hwdev/","Hardware and Driver Developers Home") ;
	
	
	//***** DDK menus *****
	//Home
	addICPMenu("HomeMenu", "Home", "","/hwdev/");
	addICPSubMenu("HomeMenu","Hardware Development","/hwdev/");
	addICPSubMenuLine("HomeMenu");
	addICPSubMenu("HomeMenu"," Driver Development Kits","/ddk/");
	addICPSubMenu("HomeMenu"," Windows Logo - Hardware","/hwdev/winlogo/");
	
	//DDK Downloads
	addICPMenu("TechMenu", "Technologies", "","/hwdev/drvrinfo.htm");
	addICPSubMenu("TechMenu"," 1. Audio","/hwdev/audio/");
		addICPSubMenu("TechMenu"," 2. Broadcast","/hwdev/bpc/");
	addICPSubMenu("TechMenu"," 3. CardBus","/hwdev/cardbus/");
	addICPSubMenu("TechMenu"," 4. Display","/hwdev/display/");
	addICPSubMenu("TechMenu"," 5. IEEE 1394","/hwdev/1394/");
	addICPSubMenu("TechMenu"," 6. Infrared","/hwdev/infrared/");
	addICPSubMenu("TechMenu"," 7. Input & HID","/hwdev/input/");
	addICPSubMenu("TechMenu"," 8. Modem","/hwdev/Modem/");
	addICPSubMenu("TechMenu"," 9. Networking","/hwdev/Network/");
	addICPSubMenu("TechMenu","10. Parallel/Serial","/hwdev/comm/");
	addICPSubMenu("TechMenu","11. PCI","/hwdev/PCI/");
	addICPSubMenu("TechMenu","12. Plug and Play","/hwdev/PlugnPlay/");
	addICPSubMenu("TechMenu","13. Power/OnNow","/hwdev/onnow/");
	addICPSubMenu("TechMenu","14. Printing","/hwdev/Print/");
	addICPSubMenu("TechMenu","15. Still Image/WIA","/hwdev/wia/");
	addICPSubMenu("TechMenu","16. Storage","/hwdev/storage/");
	addICPSubMenu("TechMenu","17. Streaming Media","/hwdev/stream/");
	addICPSubMenu("TechMenu","18. Universal Plug and Play","/hwdev/UPnP/");
	addICPSubMenu("TechMenu","19. USB","/hwdev/usb/");
	addICPSubMenu("TechMenu","20. Video Capture","/hwdev/vidcap/");
	addICPSubMenu("TechMenu","21. Windows Drivers","/hwdev/NTDRIVERS/");
	addICPSubMenu("TechMenu","22. Windows Driver Model","/hwdev/wdm/");
	addICPSubMenu("TechMenu","23. Wireless","/hwdev/wireless/");
	addICPSubMenu("TechMenu","24. WMI","/hwdev/WMI/");
	setICPSubMenuWidth("TechMenu", "absolute", 170);
	
	//Platform Design
	addICPMenu("InitMenu", "Platform Design", "","/hwdev/desinfo.htm");
	addICPSubMenu("InitMenu","64-bit Platform","/hwdev/64bitWindows/");
	addICPSubMenu("InitMenu","Bus & BIOS Design","/hwdev/busbios/");
	addICPSubMenu("InitMenu","Color Management","/hwdev/color/");
	addICPSubMenu("InitMenu","Compatibility Guidelines","/hwdev/ISSUES/Spec-Over.htm");
	addICPSubMenu("InitMenu","Driver Signing","/hwdev/supportability/");
	addICPSubMenu("InitMenu","EFI","/hwdev/efi/");
	addICPSubMenu("InitMenu","Embedded Systems","/windows/embedded/default.asp");
	addICPSubMenu("InitMenu","Fast Boot/Fast Resume","/hwdev/fastboot/");
	addICPSubMenu("InitMenu","Headless Server and EMS","/hwdev/headless/");
	addICPSubMenu("InitMenu","Legacy-Free Design","/hwdev/newpc/");
	addICPSubMenu("InitMenu","Mobile PC Design","/hwdev/mobilepc/");
	addICPSubMenu("InitMenu","Multifunction Devices","/hwdev/mf/");
	addICPSubMenu("InitMenu","PAE Server Design","/hwdev/PAE/");
	addICPSubMenu("InitMenu","Processor & System Design Notes","/hwdev/design/");
	addICPSubMenu("InitMenu","TV/Broadcast Design","/hwdev/TVBROADCAST/");
	addICPSubMenu("InitMenu","Windows Server Design Notes","/hwdev/server/");
	addICPSubMenu("InitMenu","Windows XP Drivers","/hwdev/Whistler/");
	addICPSubMenuLine("InitMenu");
	addICPSubMenu("InitMenu","Archive: Legacy Design","/hwdev/LEGACY/");
	setICPSubMenuWidth("InitMenu", "absolute", 206);
	
	//Design Guides
	addICPMenu("DesGuidesMenu", "&quot;Designed for Windows&quot;", "","/hwdev/desguid.htm");
	addICPSubMenu("DesGuidesMenu","Windows Logo Program for Hardware","/hwdev/winlogo/");
	addICPSubMenuLine("DesGuidesMenu");
	addICPSubMenu("DesGuidesMenu","Server Design Guidelines","/hwdev/serverdg.htm");
	addICPSubMenu("DesGuidesMenu","PC Design Guidelines","/hwdev/desguid.htm");
	setICPSubMenuWidth("DesGuidesMenu", "absolute", 225);
	
	//Developer Resources Topics
	addICPMenu("ResourcesMenu", "Resources", "","/hwdev/resources.htm");
	addICPSubMenu("ResourcesMenu","Driver Development Kits","/ddk/");	
	addICPSubMenu("ResourcesMenu","Driver Signing & Windows Update","/hwdev/supportability/");
	addICPSubMenu("ResourcesMenu","Writing Great Windows Drivers","/hwdev/driver/");
	addICPSubMenu("ResourcesMenu","Glossary","/hwdev/glossary.htm");
	addICPSubMenu("ResourcesMenu","Meltdown","/hwdev/meltdown/");
	addICPSubMenu("ResourcesMenu","MSDN","http://msdn.microsoft.com/developer/");
	addICPSubMenu("ResourcesMenu","Specifications","/hwdev/specs/");
	addICPSubMenu("ResourcesMenu","Support","/hwdev/devsport.htm");	
	addICPSubMenu("ResourcesMenu","Third Party Resources","/hwdev/wdmrsc.htm");
	addICPSubMenu("ResourcesMenu","WinHEC","/WinHEC/");
	addICPSubMenu("ResourcesMenu","Yellow Pages","/hwdev/resource.htm");
	setICPSubMenuWidth("ResourcesMenu", "absolute", 226);

	//SiteMap
	addICPMenu("SiteMenu", "About This Site", "","/hwdev/siteinfo.htm");
	addICPSubMenu("SiteMenu","Site Map","/hwdev/siteinfo.htm");
	setICPSubMenuWidth("SiteMenu", "absolute", 96);

}